package com.hxhq.business.enums.study;

/**
 * 表单状态：1：填报中；3：已提交；5：已完成（经复核）；7：已完成；9：待废止；11：已废止
 * @author tanfei
 */
public enum StudyFormFillBdztEnum {

    /**
     * 填报中
     */
    tbz(1, "填报中"),

    /**
     * 已提交
     */
    ytj(3, "已提交"),

    /**
     * 已完成（经复核）
     */
    ywcfh(5, "已完成（经复核）"),

    /**
     * 已完成
     */
    ywc(7, "已完成"),

    /**
     * 待废止
     */
    dfz(9, "待废止"),

    /**
     * 已废止
     */
    yfz(11, "已废止");

    private int value;
    private String text;

    StudyFormFillBdztEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static StudyFormFillBdztEnum getEnumByValue(int type) {
        for (StudyFormFillBdztEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
